API ReferenceapiidentityPOST /v1/oauth/introspect

POST /v1/oauth/introspect

Service: identity · operationId: (none)

Token introspection endpoint (RFC 7662)

Required scopes

(no scope declared — review service config)

Responses

200 Token introspection result

{
  "type": "object",
  "properties": {
    "active": {
      "type": "boolean"
    },
    "sub": {
      "type": "string"
    },
    "client_id": {
      "type": "string"
    },
    "scope": {
      "type": "string"
    },
    "exp": {
      "type": "number"
    },
    "brand": {
      "type": "string"
    },
    "token_type": {
      "type": "string"
    }
  },
  "required": [
    "active"
  ]
}

400 Invalid request

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string",
      "description": "OAuth 2 error code (RFC 6749 §5.2)"
    },
    "error_description": {
      "type": "string",
      "description": "Human-readable error message"
    },
    "error_uri": {
      "type": "string",
      "description": "URI for more info"
    }
  },
  "required": [
    "error",
    "error_description"
  ]
}

401 Invalid client credentials

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string",
      "description": "OAuth 2 error code (RFC 6749 §5.2)"
    },
    "error_description": {
      "type": "string",
      "description": "Human-readable error message"
    },
    "error_uri": {
      "type": "string",
      "description": "URI for more info"
    }
  },
  "required": [
    "error",
    "error_description"
  ]
}

403 Forbidden

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string",
      "description": "OAuth 2 error code (RFC 6749 §5.2)"
    },
    "error_description": {
      "type": "string",
      "description": "Human-readable error message"
    },
    "error_uri": {
      "type": "string",
      "description": "URI for more info"
    }
  },
  "required": [
    "error",
    "error_description"
  ]
}

Example

curl -X POST https://identity.platform.loop.health/v1/oauth/introspect \
  -H "Authorization: Bearer $ACCESS_TOKEN"